/*
  DL1414T.h - Library for accessing the Siemens DL1414T display.
  Author: Sven Maerivoet
  Last modified: 05/08/2012
  Target: Arduino Uno rev3
*/

#ifndef DL1414T_h
#define DL1414T_h
 
#include "Arduino.h"

class DL1414T
{
	public:
		// constructor
		DL1414T();
		// public methods
		void setDigitRaw(int digit, boolean bit6, boolean bit5, boolean bit4, boolean bit3, boolean bit2, boolean bit1, boolean bit0);
		void setDigit(int digit, char character);
		void clearDigits();
		void showStr4(char c3, char c2, char c1, char c0);
		void showStr4(String s);
		void showInt(int i);
		void showFloat(float f);
		void ticker(String s);

	private:
		// pin assignments
		static const int kD0DataInput   = 0;
		static const int kD1DataInput   = 1;
		static const int kD2DataInput   = 2;
		static const int kD3DataInput   = 3;
		static const int kD4DataInput   = 4;
		static const int kD5DataInput   = 5;
		static const int kD6DataInput   = 6;
		static const int kA0DigitSelect = 7;
		static const int kA1DigitSelect = 8;
		static const int kWRWrite       = 9;
};

#endif
